#
# spec file for package perl-CPAN-Reporter
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-CPAN-Reporter
Version:        1.2014
Release:        1.1
%define cpan_name CPAN-Reporter
Summary:        Adds CPAN Testers reporting to CPAN.pm
License:        Apache-2.0
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/CPAN-Reporter/
Source0:        http://www.cpan.org/authors/id/D/DA/DAGOLDEN/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Archive::Tar) >= 1.54
BuildRequires:  perl(CPAN) >= 1.94
BuildRequires:  perl(CPAN::Version)
BuildRequires:  perl(Capture::Tiny)
BuildRequires:  perl(Config::Tiny) >= 2.08
BuildRequires:  perl(Devel::Autoflush) >= 0.04
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.36
BuildRequires:  perl(File::Copy::Recursive) >= 0.35
BuildRequires:  perl(File::HomeDir) >= 0.58
BuildRequires:  perl(File::Spec) >= 3.19
BuildRequires:  perl(File::pushd) >= 0.32
BuildRequires:  perl(IO::CaptureOutput) >= 1.03
BuildRequires:  perl(IPC::Cmd) >= 0.76
BuildRequires:  perl(Parse::CPAN::Meta)
BuildRequires:  perl(Probe::Perl)
BuildRequires:  perl(Test::Reporter) >= 1.54
Requires:       perl(CPAN) >= 1.94
Requires:       perl(CPAN::Version)
Requires:       perl(Capture::Tiny)
Requires:       perl(Config::Tiny) >= 2.08
Requires:       perl(Devel::Autoflush) >= 0.04
Requires:       perl(ExtUtils::MakeMaker) >= 6.36
Requires:       perl(File::HomeDir) >= 0.58
Requires:       perl(File::Spec) >= 3.19
Requires:       perl(IPC::Cmd) >= 0.76
Requires:       perl(Parse::CPAN::Meta)
Requires:       perl(Probe::Perl)
Requires:       perl(Test::Reporter) >= 1.54
%{perl_requires}

%description
The CPAN Testers project captures and analyzes detailed results from
building and testing CPAN distributions on multiple operating systems and
multiple versions of Perl. This provides valuable feedback to module
authors and potential users to identify bugs or platform compatibility
issues and improves the overall quality and value of CPAN.

One way individuals can contribute is to send a report for each module that
they test or install. CPAN::Reporter is an add-on for the CPAN.pm module to
send the results of building and testing modules to the CPAN Testers
project. Full support for CPAN::Reporter is available in CPAN.pm as of
version 1.92.

%prep
%setup -q -n %{cpan_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes CONTRIBUTING.mkdn examples LICENSE README Todo

%changelog
* Thu Apr 16 2015 coolo@suse.com
- updated to 1.2014
  see /usr/share/doc/packages/perl-CPAN-Reporter/Changes
  1.2014    2015-04-06 12:08:28-04:00 America/New_York
  - no changes from 1.2013-TRIAL
  1.2013    2015-03-29 21:52:11-04:00 America/New_York (TRIAL RELEASE)
    [ADDED]
  - Added experimental option to save output of hanging modules [CHORNY]
  - Added experimental option to save list of hanging modules [CHORNY]
    [CHANGED]
  - C::R::PrereqCheck will read <> before checking modules
    [FIXED]
  - Fixed incorrect report grade edge case [CHORNY]
  - Fixed tests for Perls on Windows with spaces in the path
  - Added Dancer::Plugin::FlashNote to list of prereq-check conflicts
    [TESTING]
  - Tests for C::R::PrereqCheck added
  1.2011    2014-03-16 22:27:56+01:00 Europe/Paris
    [ADDED]
  - Added support for future optional prerequisite reporting
    when CPAN.pm supports it
    [CHANGED]
  - Moved test distributions into corpus/ to avoid repetitive
    tarball unpacking
  - Modernized distribution meta and support files
  1.2010    2013-04-12 15:35:38 Europe/London
    [NEW FEATURES]
  - new option 'retry_submission' tries to send the report one
    extra time in case it fails. Defaults to undef (don't retry)
    (Patch by Alexandr "chorny" Ciornii)
  1.2009    2012-12-18 16:08:37 America/New_York
    [BUG FIXES]
  - Expanded prerequisite load check skip to all Acme::* modules; prereqs
    still need to be installed and of sufficient version, but we don't
    check that Acme modules load without error to avoid side effects.
  1.2008    2012-12-15 07:26:11 America/New_York
    [BUG FIXES]
  - Don't try to check if Acme::Bleach can be loaded if it's listed
    as a prereq
  1.2007    2012-12-10 15:13:22 America/New_York
    [BUG FIXES]
  - Recognize another form of "Perl is too low" message [CHORNY]
  1.2006    2012-04-10 18:44:20 America/New_York
    [BUG FIXES]
  - Changed how CPAN::Reporter::PrereqCheck attempts to load modules to
    avoid module reloading, which caused some prereqs to show up as
    'broken' [rt.cpan.org #76394 and #75559]
    [OTHER]
  - Bumped IPC::Cmd prereq to 0.76 to avoid failures on some platforms
  1.2005    2012-03-02 13:21:36 EST5EDT
    [BUG FIXES]
  - Canonicalise the config path returned by bsd_glob [rt.cpan.org #70504]
    [Kent Fredric]
  1.2004    2012-02-13 16:25:07 EST5EDT
    [BUG FIXES]
  - Fix bug in testing tilde expansion on Windows
    [rt.cpan.org #72051]
  1.2003    2011-12-06 11:07:04 EST5EDT
    [BUG FIXES]
  - Fix bug in transport class validation to allow multi-level
    class names [rt.cpan.org #73045]
  1.2002    2011-08-10 17:52:08 America/New_York
    [BUG FIXES]
  - Fix failing tests on systems without
    Test::Reporter::Transport::Metabase
  - Minor test cleanups for use with 'prove'
  1.2001    2011-08-07 05:05:58 America/New_York
    [BUG FIXES]
  - Fix failing test on Windows due to glob expansion of "~"
    [Christian Walde]
  1.20      2011-08-05 13:17:20 America/New_York
    [BUG FIXES]
  - Removed Test::Reporter::Transport::Metabase as a prerequisite.
    New testers are recommended to install Task::CPAN::Reporter instead
    of CPAN::Reporter.
  1.19_04   2011-06-29 17:39:25 America/New_York
    [NEW FEATURES]
  - Metabase profile generation will use as much of the provided
    email_from parameter as possible and will generate a random
    secret API key.  If user provides email_from in a standard form
    like C<< "John Q. Public" <jqp@example.com> >> then profile
    generation is entirely automatic without additional prompts
    from metabase-profile [David Golden]
    [DOCUMENTATION]
  - Swapped in Task::CPAN::Reporter in the SYNOPSIS [David Golden]
    [BUG FIXES]
  - Expands "~" into user directory before attempting to locate
    'relative' pathname in .cpanreporter directory [David Golden]
  1.19_03   2011-06-28 14:44:19 America/New_York
    [NEW FEATURES]
  - During configuration, if 'Metabase' is the requested transport and
    a Metabase profile file is not found, configuration will offer to
    run metabase-profile to create it. [David Golden]
  - For Metabase transport (only), the 'id_file' may have a relative
    file path, treated as relative to the .cpanreporter directory.
    [David Golden]
    [BUG FIXES]
  - updated CPAN::Reporter to go with Metabase by default, instead of
    the deprecated SMTP transport system. This provides more up-to-date
    information for new testers on how to setup their systems and
    addresses RT#64316 (and maybe also RT#61735) [Breno G. de Oliveira]
  - Replaced use of Tee.pm with Capture::Tiny as the two don't play
    well together on some systems. [Christian Walde]
    [DOCUMENTATION]
  - Docs have been substantially re-written to reflect the new HTTP-based
    transport instead of email-based transport. [Breno G. de Oliveira and
    David Golden]
* Thu Apr 16 2015 coolo@suse.com
- updated to 1.2002
  see /usr/share/doc/packages/perl-CPAN-Reporter/Changes
  1.2002    2011-08-10 17:52:08 America/New_York
    [BUG FIXES]
  - Fix failing tests on systems without
    Test::Reporter::Transport::Metabase
  - Minor test cleanups for use with 'prove'
  1.2001    2011-08-07 05:05:58 America/New_York
    [BUG FIXES]
  - Fix failing test on Windows due to glob expansion of "~"
    [Christian Walde]
  1.20      2011-08-05 13:17:20 America/New_York
    [BUG FIXES]
  - Removed Test::Reporter::Transport::Metabase as a prerequisite.
    New testers are recommended to install Task::CPAN::Reporter instead
    of CPAN::Reporter.
  1.19_04   2011-06-29 17:39:25 America/New_York
    [NEW FEATURES]
  - Metabase profile generation will use as much of the provided
    email_from parameter as possible and will generate a random
    secret API key.  If user provides email_from in a standard form
    like C<< "John Q. Public" <jqp@example.com> >> then profile
    generation is entirely automatic without additional prompts
    from metabase-profile [David Golden]
    [DOCUMENTATION]
  - Swapped in Task::CPAN::Reporter in the SYNOPSIS [David Golden]
    [BUG FIXES]
  - Expands "~" into user directory before attempting to locate
    'relative' pathname in .cpanreporter directory [David Golden]
  1.19_03   2011-06-28 14:44:19 America/New_York
    [NEW FEATURES]
  - During configuration, if 'Metabase' is the requested transport and
    a Metabase profile file is not found, configuration will offer to
    run metabase-profile to create it. [David Golden]
  - For Metabase transport (only), the 'id_file' may have a relative
    file path, treated as relative to the .cpanreporter directory.
    [David Golden]
    [BUG FIXES]
  - updated CPAN::Reporter to go with Metabase by default, instead of
    the deprecated SMTP transport system. This provides more up-to-date
    information for new testers on how to setup their systems and
    addresses RT#64316 (and maybe also RT#61735) [Breno G. de Oliveira]
  - Replaced use of Tee.pm with Capture::Tiny as the two don't play
    well together on some systems. [Christian Walde]
    [DOCUMENTATION]
  - Docs have been substantially re-written to reflect the new HTTP-based
    transport instead of email-based transport. [Breno G. de Oliveira and
    David Golden]
* Fri May 13 2011 jw@novell.com
- initial package 1.1902
  * created by cpanspec 1.78.04
